library(tidyr)
library(ggplot2)
#faili sisselugemine ja andmete formaadi korrigeerimine
J113=read.csv("PT1-T1.1-J1.1.3.csv",header=TRUE, encoding ="UTF-8")
J113=na.omit(J113)
names(J113)[2:4]=c("15-24","25-64","65+")
J113=pivot_longer(J113,col=c("15-24","25-64","65+"),"Vanus")

#joonis
ggplot(J113)+
  geom_line(aes(x=Aasta,y=value,col=Vanus),linewidth=1.5)+
  scale_color_manual(values=c("#6666CC","#FF3600","#8FA300"))+ #siin ei ole funktsioon mitte fill vaid color, kuna joonobjektid. 
  ylab("Eluga pigem rahul olevate inimeste %")+
  xlab("")+
  scale_x_continuous(breaks=(unique(J113$Aasta)))+
  scale_y_continuous(breaks=c(0,25,50,75,100),limits=c(0,100))+
  theme_minimal()+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))
  



